<template>
  <div>
    <h1 class="mb-6">Please provide more details about the issues from your physical exam.</h1>
    <div class="space-y-3 mb-8">
      <textarea
        class="ta-input text-base"
        v-model="selected"
      />
    </div>
    <CommonBtn
      :disabled="!selected"
      text="Save and continue"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import {answersMixin} from "@/utils/mixins";
import CommonBtn from "@/components/common/CommonBtn";

export default {
  components: {CommonBtn},
  mixins: [answersMixin],
  name: "YourHealth12",
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_12')
    }
  },
  data() {
    return {
      selected: null,
    }
  }
}
</script>

<style scoped>

</style>
